## Documentation Index

#### [Design](/docs/design.md)

#### Development Guide

- [Guides](/docs/dev-guide.md) 
- [Api Documentation](https://rawcdn.githack.com/ServiceComb/service-center/master/docs/api-docs.html),
Swagger [`v4`](/server/core/swagger/v4.yaml)|[`v3`](/server/core/swagger/v3.yaml)
- [Plug-in Extension](/docs/plugin.md)
- [Command Line Client](/scctl/README.md)

#### Docker Image Guide

- [Making Service-Center Image](/scripts/docker/build-image)
- [Making Front-end Image](/scripts/docker/build-frontend-image)

#### Deploy Service-Center Locally

- [Local](/README.md#running-service-center-using-the-release)
- [Frontend](/README.md#running-frontend-using-the-release)
- [Docker Compose](/scripts/docker) 

#### Deploy Service-Center Cluster

+ **General**
  - [VMs Cluster](/docs/sc-cluster.md)
  - [Deploy with TLS](/docs/security-tls.md)
  - [Multiple Datacenters](/docs/multidcs.md)
+ **Kubernetes**
  - [Helm Chart](/docs/helm.md)
  - [Access Distinct Clusters](/docs/kubeclusters.md)
  - [Multiple Registry Aggregation](/docs/aggregate.md)

#### Monitoring Service-Center

- [Integrate with Grafana](/docs/integration-grafana.md)

#### [Contribution Guide](/CONTRIBUTING.md) 